Name:       bbe
Version:    0.2.2
Release:    1%{?dist}
Summary:    A tool for making byte-level changes to binary files
License:    GPLv2+
URL:        https://sourceforge.net/projects/bbe-/files/latest/download
Source0:    bbe.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool

%description
BBE is a program for making byte-level changes to binary files.

%prep
# Use source filename directly
tar xf %{SOURCE0}
# Find the directory.  Use find to be more robust.
find . -maxdepth 1 -type d -name "bbe-*" | head -n 1 | xargs cd
# Rename the directory to be consistent
mv  %{name}-%{version}
cd %{name}-%{version}

%build
cd %{name}-%{version}
# Need to run autoreconf if configure.ac exists
if [ -f configure.ac ]; then
  autoreconf -fiv
fi
./configure --prefix=/usr
make

%install
cd %{name}-%{version}
make install DESTDIR=%{buildroot}

# Remove libtool archives
find %{buildroot} -name "*.la" -delete

%check
cd %{name}-%{version}
make check  # Run the test suite

%files
/usr/bin/bbe
/usr/share/man/man1/bbe.1*
/usr/share/info/bbe.info*
/usr/share/doc/bbe/bbe.html

%changelog
* Sun Apr 13 2025 Reihoron <reihoron@proton.me> - 0.2.2-1%{?dist}
- Initial RPM release.
